[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <1506058274-30516-2-git-send-email-yamada.masahiro@socionext.com>
Date: Fri, 22 Sep 2017 14:31:14 +0900
From: Masahiro Yamada <yamada.masahiro@...ionext.com>
To: linux-kbuild@...r.kernel.org
Cc: Sam Ravnborg <sam@...nborg.org>,
Masahiro Yamada <yamada.masahiro@...ionext.com>,
Michal Marek <mmarek@...e.com>, linux-kernel@...r.kernel.org
Subject: [PATCH 2/2] kbuild: mkcompile_h: do not create .version
This script need not to create .version; it will be created by
scripts/link-vmlinux.sh later. Clean-up the code slightly.
Signed-off-by: Masahiro Yamada <yamada.masahiro@...ionext.com>
---
scripts/mkcompile_h | 7 +------
1 file changed, 1 insertion(+), 6 deletions(-)
diff --git a/scripts/mkcompile_h b/scripts/mkcompile_h
index fd8fdb9..f1ee4eb 100755
--- a/scripts/mkcompile_h
+++ b/scripts/mkcompile_h
@@ -27,12 +27,7 @@ LC_ALL=C
export LC_ALL
if [ -z "$KBUILD_BUILD_VERSION" ]; then
- if [ -r .version ]; then
- VERSION=`cat .version`
- else
- VERSION=0
- echo 0 > .version
- fi
+ VERSION=$(cat .version 2>/dev/null || echo 1)
else
VERSION=$KBUILD_BUILD_VERSION
fi
--
2.7.4
Powered by blists - more mailing lists